Bug 730596 - [abrt] geeqie-1.0-10.fc14: pango_layout_get_iter: Process /usr/bin/geeqie was killed by signal 11 (SIGSEGV)
Summary: [abrt] geeqie-1.0-10.fc14: pango_layout_get_iter: Process /usr/bin/geeqie was...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: geeqie
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:785573fe48f95ffc92dde05b1d7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-14 22:34 UTC by Paul Wouters
Modified: 2011-10-28 19:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-28 19:52:04 UTC


Attachments (Terms of Use)
File: backtrace (30.95 KB, text/plain)
2011-08-14 22:34 UTC, Paul Wouters
no flags Details

Description Paul Wouters 2011-08-14 22:34:43 UTC
abrt version: 1.1.18
architecture: x86_64
Attached file: backtrace, 31695 bytes
cmdline: geeqie
comment: it crashed.
component: geeqie
Attached file: coredump, 115822592 bytes
crash_function: pango_layout_get_iter
executable: /usr/bin/geeqie
kernel: 2.6.35.13-92.fc14.x86_64
package: geeqie-1.0-10.fc14
rating: 4
reason: Process /usr/bin/geeqie was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1313361005
uid: 500

How to reproduce
-----
1.open a picture

Comment 1 Paul Wouters 2011-08-14 22:34:48 UTC
Created attachment 518203 [details]
File: backtrace

Comment 2 Michael Schwendt 2011-08-14 22:59:32 UTC
> How to reproduce
> -----
> 1.open a picture

Reproducibly? If so, please attach the picture. A test-case is needed.

I can open hundreds if not thousands of pictures with Geeqie without being able to reproduce such a crash in Pango.

> #5  0x0000000000486dfb in pr_tile_render (pr=0x1f8a010 [PixbufRenderer],
> it=0x1f06d60, x=<value optimized out>, y=<value optimized out>, w=128, h=128,
> new_data=1, fast=0) at pixbuf-renderer.c:2690

That's within Geeqie, steps #4 to #0 are not in Geeqie anymore.

Comment 3 Paul Wouters 2011-09-22 02:18:28 UTC
I forgot which photo it crashed on, and I cannot reproduce it any more. Feel free to close this bug and I'll re-open when it happens again.


Note You need to log in before you can comment on or make changes to this bug.